# Method: comments.delete

- [HTTP request](https://developers.google.com/workspace/drive/api/reference/rest/v3/comments/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/api/reference/rest/v3/comments/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/api/reference/rest/v3/comments/delete#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/api/reference/rest/v3/comments/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/api/reference/rest/v3/comments/delete#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/api/reference/rest/v3/comments/delete#try-it)

Deletes a comment. For more information, see [Manage comments and replies](https://developers.google.com/workspace/drive/api/guides/manage-comments).

### HTTP request

`DELETE https://www.googleapis.com/drive/v3/files/{fileId}/comments/{commentId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `fileId` | `string` The ID of the file. |
| `commentId` | `string` The ID of the comment. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.file`

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).